[arch-commits] Commit in qof/repos (3 files)

Eric Bélanger eric at archlinux.org
Sat Nov 7 05:35:37 UTC 2009


    Date: Saturday, November 7, 2009 @ 00:35:37
  Author: eric
Revision: 58344

Merged revisions 58343 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/qof/trunk

........
  r58343 | eric | 2009-11-07 00:35:21 -0500 (Sat, 07 Nov 2009) | 2 lines
  
  upgpkg: qof 0.8.0-1
      Upstream update, Disabled SMP build, Updated url, Added doxygen and libxslt makedepends to build docs (close FS#14529)
........

Modified:
  qof/repos/extra-x86_64/	(properties)
  qof/repos/extra-x86_64/PKGBUILD
Deleted:
  qof/repos/extra-x86_64/qof-0.7.4-remove_spurious_CFLAGS.patch

----------------------------------------+
 PKGBUILD                               |   23 +++++-------
 qof-0.7.4-remove_spurious_CFLAGS.patch |   57 -------------------------------
 2 files changed, 11 insertions(+), 69 deletions(-)


Property changes on: qof/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /qof/trunk:1-35861
   + /qof/trunk:1-58343

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-07 05:35:21 UTC (rev 58343)
+++ extra-x86_64/PKGBUILD	2009-11-07 05:35:37 UTC (rev 58344)
@@ -3,23 +3,22 @@
 # Contributor: William Rea <sillywilly at gmail.com>
 
 pkgname=qof
-pkgver=0.7.5
+pkgver=0.8.0
 pkgrel=1
 pkgdesc="Provides a set of C Language utilities for performing generic structured complex queries"
 arch=('i686' 'x86_64')
-url="http://qof.sourceforge.net"
+url="http://qof.alioth.debian.org/"
 license=('GPL')
 depends=('glib2' 'libxml2>=2.5.10')
-source=(http://downloads.sourceforge.net/qof/qof-$pkgver.tar.gz
-        qof-0.7.4-remove_spurious_CFLAGS.patch)
-options=('!libtool')
+makedepends=('doxygen' 'libxslt')
+options=('!libtool' '!makeflags')
+source=(https://alioth.debian.org/frs/download.php/3029/qof-$pkgver.tar.gz)
+md5sums=('f0340a1eeb3947bec167883dc00c1bb7')
+sha1sums=('d1c248d64296c63d5c5fef5ba32ff57397a479d0')
 
 build() {
-  cd $startdir/src/qof-$pkgver
-  patch -p0 < ../qof-0.7.4-remove_spurious_CFLAGS.patch
-  ./configure --prefix=/usr --disable-sqlite
-  make || return 1
-  make DESTDIR=$startdir/pkg install
+  cd "$srcdir/qof-$pkgver"
+  ./configure --prefix=/usr --disable-sqlite || return 1
+  make warnFLAGS="" || return 1
+  make DESTDIR="$pkgdir" install || return 1
 }
-md5sums=('91adad70f0a1da22f5e8c5cfd2b16f22'
-         '412ef7f3144a228c75f87beef38cbe4f')

Deleted: extra-x86_64/qof-0.7.4-remove_spurious_CFLAGS.patch
===================================================================
--- extra-x86_64/qof-0.7.4-remove_spurious_CFLAGS.patch	2009-11-07 05:35:21 UTC (rev 58343)
+++ extra-x86_64/qof-0.7.4-remove_spurious_CFLAGS.patch	2009-11-07 05:35:37 UTC (rev 58344)
@@ -1,57 +0,0 @@
---- configure.orig	2008-01-30 13:06:35.000000000 +0100
-+++ configure	2008-01-30 13:06:45.000000000 +0100
-@@ -26894,18 +26894,18 @@
- echo $ECHO_N "checking what extra warning flags to pass to the C compiler... $ECHO_C" >&6; }
- if test ${GCC}x = yesx; then
-   warnFLAGS=
--  CFLAGS="${CFLAGS} -g2 -Wall"
-+  CFLAGS="${CFLAGS}"
-   # Check whether --enable-error-on-warning was given.
- if test "${enable_error_on_warning+set}" = set; then
-   enableval=$enable_error_on_warning; case "${enableval}" in
--        yes) warnFLAGS="${warnFLAGS} -Werror" ;;
-+        yes) warnFLAGS="${warnFLAGS}" ;;
-         no)  ;;
-         *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-error-on-warning" >&5
- echo "$as_me: error: bad value ${enableval} for --enable-error-on-warning" >&2;}
-    { (exit 1); exit 1; }; } ;;
-         esac
- else
--    warnFLAGS="${warnFLAGS} -Werror"
-+    warnFLAGS="${warnFLAGS}"
- fi
- 
-   GCC_VERSION=`${CC} -dumpversion`
-@@ -26913,10 +26913,10 @@
-      # This is gcc >= 3.x.x
-      if test `echo ${GCC_VERSION} | cut -d. -f2` -ge 4; then
-         # This is gcc >= 3.4.x
--        warnFLAGS="${warnFLAGS} -Wdeclaration-after-statement"
-+        warnFLAGS="${warnFLAGS}"
-      else if test `echo ${GCC_VERSION} | cut -d. -f1` -ge 4; then
-         # This is gcc == 4.x.x
--        warnFLAGS="${warnFLAGS} -Wdeclaration-after-statement -Wno-pointer-sign"
-+        warnFLAGS="${warnFLAGS}"
-         fi
-      fi
-   fi
-@@ -26934,19 +26934,6 @@
-   enableval=$enable_compile_warnings; set_compile_warnings=yes
- fi
- 
--
--if test "$GCC" = "yes" -a "$set_compile_warnings" != "no"; then
--        warnFLAGS="$warnFLAGS -Wcast-align -Wsign-compare \
-- -Wmissing-prototypes -Wmissing-declarations -Werror -Wmissing-include-dirs \
-- -Wstrict-prototypes -Winline -Wnested-externs -Wpointer-arith \
-- -Wmissing-field-initializers"
--# LDFLAGS="$LDFLAGS -Wl,-z,defs"
--fi
--
--
--
--
--
- DATADIR=`eval echo $datadir`
- QSF_SCHEMA_DIR=`eval echo $DATADIR`"/xml/qof/qsf"
- 




More information about the arch-commits mailing list